## List Coupons

### cURL

```
curl --request GET \
  --url https://api.withflex.com/v1/coupons \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.withflex.com/v1/coupons"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/coupons', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.withflex.com/v1/coupons",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/coupons"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/coupons")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/coupons")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Codes

- 200
- 401
- 403
- 404
- 409
- 422
- 429

### Example Response

```
{
  "coupons": [\
    {\
      "coupon_id": "fcoup_1234567890",\
      "amount_off": 2500,\
      "duration": "once",\
      "metadata": {\
        "order_id": "8842",\
        "channel": "shopify"\
      },\
      "name": "Example",\
      "valid": false,\
      "created_at": "2026-06-15T14:30:00Z",\
      "test_mode": false\
    }\
  ]
}
```

### Error Response Format

```
{
  "code": "string",
  "detail": "string"
}
```

### Additional Error Detail

```
{
  "detail": [\
    {\
      "loc": [\
        "string"\
      ],\
      "msg": "string",
      "type": "string"\
    }\
  ]
}
```

### Authorizations

**Authorization**  
string  
header  
required  
Use a Bearer token to access this API.

### Query Parameters

**name**  
string | null  
Filter coupons by name.

**Example:**  
`"Example"`

### Response Structure

**200**  
`application/json`  
An envelope wrapping a list of coupon objects.

**coupons**  
object[]  
required  
The list of coupons.
